<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>Hello</title>
        <link href="https://fonts.googleapis.com/css?family=Open+Sans:400,700" rel="stylesheet">
        <link rel="stylesheet" href="style.css">
    </head>
    <body>
        <!-- Le titre principal -->
        <h1>Introduction à HTML</h1>

        <!-- Les titres -->
        <h1 class="titre-de-section">Les titres h1... h6</h1>
        <h1 id="titre">Le titre niveau 1</h1>
        <h2>Le titre niveau 2</h2>
        <h6>Le titre niveau 6</h6>
        
        <!-- Le paragraphes -->
        <h1 class="titre-de-section">Les paragraphes p</h1>
        <p>Ceci est un paragraphe</p>
        <p>Ceci est un autre paragraphe</p>
        <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Enim molestias eligendi ut eveniet obcaecati, consectetur sequi dolorum vitae placeat ipsa? Architecto beatae vero necessitatibus aliquid deserunt ducimus consectetur officiis et.</p>

        <!-- Les listes -->
        <h1 class="titre-de-section">Listes</h1>
        <h2>Liste ordonnée (Ordered List)</h2>
        <ol>
            <li>item 1</li>
            <li>item 2</li>
            <li>item 3</li>
        </ol>

        <h2>Liste non ordonnée (Unordered List)</h2>
        <ul>
            <li>item 1</li>
            <li>item 2</li>
            <li>item 3</li>
        </ul>

        <h2>Liste de definition / description (Definition/Description List)</h2>
        <dl>
            <dt>HTML</dt>
            <dd>Hyper Text Markup Language</dd>
            <dt>CSS</dt>
            <dd>Cascading Style Sheets</dd>
            <dt>JS</dt>
            <dd>JavaScript (en fait ECMAScript)</dd>
        </dl>

        <!-- Les tables -->
        <h1 class="titre-de-section">Les tables</h1>
        <table>
            <thead>
                <tr>
                    <th>titre col 1</th>
                    <th>titre col 2</th>
                    <th>titre col 3</th> 
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>1</td><td>2</td><td>3</td>
                </tr>
                <tr>
                    <td>4</td><td>5</td><td>6</td>
                </tr>
                <tr>
                    <td>7</td><td>8</td><td>9</td>
                </tr>
                <tr>
                    <td>10</td><td>11</td><td>12</td>
                </tr>
                <tr>
                    <td>13</td><td>14</td><td>15</td>
                </tr>
            </tbody>
            <tfoot>
                <tr>
                    <td>foot 1</td>
                    <td>foot 2</td>
                    <td>foot 3</td>
                </tr>
            </tfoot>
        </table>

        <!-- Les images -->
        <h1 class="titre-de-section">Les images</h1>
        <!-- URL absolues = chemin complet http(s)://.... -->
        <img src="https://www.wikichat.fr/wp-content/uploads/sites/2/comment-soigner-une-plaie-dun-chat.jpg" 
             alt="Ceci est l'image"
             width="500">
        <img src="https://media1.giphy.com/media/mlvseq9yvZhba/200w.webp" alt="un chat qui s'ennuie">
        <!-- ULR relatives qui ne commence pas par un /
        Le navigateur remplace le contenu à partir du dernier / -->
        <img src="img/200w.webp" alt="friends">
         <!-- ULR relatives qui commencent par un / 
        Le navigateur remplace le contenu après http(s)://-->
         <!-- <img src="/img/200w.webp" alt="friends"> -->

        <!-- Les liens -->
        <h1 class="titre-de-section">Les liens</h1>
        <a href="http://www.example.com">Lien vers example.com</a>
        <a href="lorem.html">Liens vers page "interne"</a>


        <!-- Combiner les éléments -->
        <h1 class="titre-de-section">Combiner les éléments</h1>
        
        <h2>Rendre des éléments "clickables"</h2>
        <a href="http://www.google.com">
            <img src="https://media3.giphy.com/media/quO0X65yj6gw0/200w.webp" alt="fail...">
        </a>

        <h2>Menu interactifs</h2>
        <!-- ul>li*3>{item $} -->
        <ul>
            <li><a href="http://www.w3.org">W3C</a></li>
            <li><a href="https://www.w3.org/html/">HTML@W3C</a></li>
            <li><a href="https://developer.mozilla.org">Mozilla Developer Network</a></li>
        </ul>
    </body>
</html>
